package com.ssj.bean.course.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/** 
 * @author 
 * @version 
 * 小红花记录保存表
 */
@Entity
@Table(name="tb_course_feedback_file")
public class CourseFeedbackFile extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -7883204619208701198L;
	
	/**
	 * 会员卡id
	 */
	private String vipId;
	/**
	 * 图书馆
	 */
	private String libId;
	/**
	 * 课程id
	 */
	private String courseDetailsId;
	
	/**
	 * 小红花路径
	 */
	private String imgurl;

	/**
	   * 创建时间
	   */
	private Date createTime;
	
	/**
	   * openTime
	   */
	private Date openTime;


	

	public Date getOpenTime() {
		return openTime;
	}

	public void setOpenTime(Date openTime) {
		this.openTime = openTime;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getCourseDetailsId() {
		return courseDetailsId;
	}

	public void setCourseDetailsId(String courseDetailsId) {
		this.courseDetailsId = courseDetailsId;
	}

	

	public String getImgurl() {
		return imgurl;
	}

	public void setImgurl(String imgurl) {
		this.imgurl = imgurl;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	
	

}
